curl_url(3)

NAME
curl_url - returns a new CURLU handle

SYNOPSIS
#include <curl/curl.h> CURLU *curl_url();

EXPERIMENTAL
The URL API is considered EXPERIMENTAL until further notice. Please test it, report bugs and help us perfect it. Once proven to be reliable, the experimental label will be removed. While this API is marked experimental, we reserve the right to modify the API slightly if we deem it necessary and it makes it notably better or easier to use.

DESCRIPTION
This function will allocates and returns a pointer to a fresh CURLU handle, to be used for further use of the URL API.

RETURN VALUE
Returns a CURLU * if successful, or NULL if out of memory.

EXAMPLE
  CURLUcode rc;
  CURLU *url = curl_url();
  rc = curl_url_set(url, CURLUPART_URL, "https://example.com", 0);
  if(!rc) {
    char *scheme;
    rc = curl_url_get(url, CURLUPART_SCHEME, &scheme, 0);
    if(!rc) {
      printf("the scheme is %s, scheme);
      curl_free(scheme);
    }
    curl_url_cleanup(url);
  }

AVAILABILITY
Added in curl 7.62.0

SEE ALSO
curl_url_cleanup(3), curl_url_get(3), curl_url_set(3), curl_url_dup(3),